Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.spi
Class DeploymentConfigurationImpl

    java.lang.Object
      org.jboss.deployment.spi.DeploymentConfigurationImpl

All Implemented Interfaces:
  javax.enterprise.deploy.spi.DeploymentConfiguration

public class DeploymentConfigurationImpl
extends Object
implements javax.enterprise.deploy.spi.DeploymentConfiguration

An interface that defines a container for all the server-specific configuration information for a single top-level J2EE module. The DeploymentConfiguration object could represent a single stand alone module or an EAR file that contains several sub-modules.

Version:
  $Revision: 1.1.1.1 $
Author:
  thomas.diesler@jboss.org

Constructor Summary
`DeploymentConfigurationImpl()`

Method Summary
`javax.enterprise.deploy.spi.DConfigBeanRoot` | `getDConfigBeanRoot(javax.enterprise.deploy.model.DDBeanRoot bean)` Return the top level configuration for a deployment descriptor
`javax.enterprise.deploy.model.DeployableObject` | `getDeployableObject()` Return an object that provides access to the deployment descriptor
`void` | `removeDConfigBean(javax.enterprise.deploy.spi.DConfigBeanRoot bean)` Remove a root configuration and all its children
`void` | `restore(InputStream input)` Restores a full set of configuration beans
`javax.enterprise.deploy.spi.DConfigBeanRoot` | `restoreDConfigBean(InputStream input, javax.enterprise.deploy.model.DDBeanRoot bean)` Restore a configuration from an input stream
`void` | `save(OutputStream output)` Saves the fulls set of configuration beans
`void` | `saveDConfigBean(OutputStream output, javax.enterprise.deploy.spi.DConfigBeanRoot bean)` Save a configuration to an output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentConfigurationImpl

    public DeploymentConfigurationImpl()

Method Detail

### getDeployableObject

    public javax.enterprise.deploy.model.DeployableObject getDeployableObject()

  Return an object that provides access to the deployment descriptor

  Specified by:
    `getDeployableObject` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Returns:
    the deployable object

### getDConfigBeanRoot

    public javax.enterprise.deploy.spi.DConfigBeanRoot getDConfigBeanRoot(javax.enterprise.deploy.model.DDBeanRoot bean)
                                                                   throws javax.enterprise.deploy.spi.exceptions.ConfigurationException

  Return the top level configuration for a deployment descriptor

  Specified by:
    `getDConfigBeanRoot` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `bean` - the root of the deployment descriptor
  Returns:
    the configuration
  Throws:
    `javax.enterprise.deploy.spi.exceptions.ConfigurationException` - for an error in the deployment descriptor

### removeDConfigBean

    public void removeDConfigBean(javax.enterprise.deploy.spi.DConfigBeanRoot bean)
                           throws javax.enterprise.deploy.spi.exceptions.BeanNotFoundException

  Remove a root configuration and all its children

  Specified by:
    `removeDConfigBean` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `bean` - the configuration
  Throws:
    `javax.enterprise.deploy.spi.exceptions.BeanNotFoundException` - when the bean is not found

### restoreDConfigBean

    public javax.enterprise.deploy.spi.DConfigBeanRoot restoreDConfigBean(InputStream input,
                                                                          javax.enterprise.deploy.model.DDBeanRoot bean)
                                                                   throws javax.enterprise.deploy.spi.exceptions.ConfigurationException

  Restore a configuration from an input stream

  Specified by:
    `restoreDConfigBean` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `input` - the input stream
    `bean` - the deployment descriptor
  Returns:
    the configuration
  Throws:
    `javax.enterprise.deploy.spi.exceptions.ConfigurationException` - when there is an error in the configuration

### saveDConfigBean

    public void saveDConfigBean(OutputStream output,
                                javax.enterprise.deploy.spi.DConfigBeanRoot bean)
                         throws javax.enterprise.deploy.spi.exceptions.ConfigurationException

  Save a configuration to an output stream

  Specified by:
    `saveDConfigBean` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `output` - the output stream
    `bean` - the configuration
  Throws:
    `javax.enterprise.deploy.spi.exceptions.ConfigurationException` - when there is an error in the configuration

### restore

    public void restore(InputStream input)
                 throws javax.enterprise.deploy.spi.exceptions.ConfigurationException

  Restores a full set of configuration beans

  Specified by:
    `restore` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `input` - the input stream
  Throws:
    `javax.enterprise.deploy.spi.exceptions.ConfigurationException` - for an error in the configuration

### save

    public void save(OutputStream output)
              throws javax.enterprise.deploy.spi.exceptions.ConfigurationException

  Saves the fulls set of configuration beans

  Specified by:
    `save` in interface `javax.enterprise.deploy.spi.DeploymentConfiguration`
  Parameters:
    `output` - the output stream
  Throws:
    `javax.enterprise.deploy.spi.exceptions.ConfigurationException` - for an error in the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.